Bug 11263 - Не устанавливаются reiserfsprogs, jfsutils
: Не устанавливаются reiserfsprogs, jfsutils
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/spt-profiles-server)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-29 12:00 by
Modified: 2007-04-09 19:56 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-29 12:00:09
По умолчанию server-i586-20070315.iso создал xfs раздел для /var, но при этом
после установки xfsprogs отсутствовали.

Необходимо в обязательном порядке устанавливать все пакеты для всех
распространённых файловых систем, независимо от того, какая файловая система
была создана при разбивке диска.
------- Comment #1 From 2007-04-06 15:36:22 -------
Это не исправлено ?
------- Comment #2 From 2007-04-06 20:57:31 -------
За состав basysystem отвечает spt-profile-server

Component => spt-profile-server
------- Comment #3 From 2007-04-06 21:08:59 -------
Дима, может быть помимо этих ещё какие-то утилиты добавить ?

тот же самый squashfs на сервере не помешал бы (как минимум -
создавать/распаковывать)?
------- Comment #4 From 2007-04-07 01:40:05 -------
xfsprogs я добавлю.
остальные fs-пакеты надо смотреть.
Антон, может составишь список?
------- Comment #5 From 2007-04-07 02:50:05 -------
список особенно большим не получится
В дистрибутиве сразу после установки достаточно xfs, jfs. Можно ещё положить
ntfsprogs - для манипуляции над NTFS'ными разделами. По крайней мере мне лично
это будет нужно через 20 дней в серверном дистрибутиве (миграции Win сервера и
данных с него).

Также могут оказаться полезными:
dosfstools
mtd
squashfsprogs
reiserfsprogs (эти нельзя путать с progreiserfs, последнии кривые)

В contrib'ах и в rescue очень хочется видеть:
ntfsprogs - для манипуляции ntfs разделами
ntfs-3g - для монтирования
cloop-utils - не уверен, не знаю как поддерживается
dosfstools
reiser4progs - эти не уверен что нужно, ядро не поддерживает, но в rescue можно
положить - fsck по идее работать должен.

В rescue лучше положить всё что возможно, на всякий случай. Мало ли какую
систему придётся спасать.
------- Comment #6 From 2007-04-08 14:43:38 -------
*** Bug 11408 has been marked as a duplicate of this bug. ***
------- Comment #7 From 2007-04-08 14:49:19 -------
jfsprogs в нынешнем виде включить сложно:
Версия в Сизифе 1.1.10 от 2005-10-19,
версия upstream 1.1.11 от 2006-06-05.
------- Comment #8 From 2007-04-08 14:58:53 -------
reiserfsprogs:
Версия в Сизифе 3.6.19 от 2004-10-13 висит на @nobody,
версия upstream 3.6.20 от 2006-05-28.
------- Comment #9 From 2007-04-08 21:26:14 -------
Хорошо, я постараюсь обновить jfspogs и reiserfsprogs.
------- Comment #10 From 2007-04-08 22:06:11 -------
LATEST_IS_reiserfsprogs-3.6.19 и во всех дистрибутивах под рукой -- 3.6.19 при
этом... может иметь смысл втянуть патчи из suse (они довольно крупно попали на
reiser3).  Спросил umka@, у кого бы уточнить.

Вот changelog от сузешного 3.6.19:

* Wed Mar 28 2007 - jeffm@suse.com
- Added Supplements: filesystem(reiserfs) to spec file (FATE 301966)

* Tue Feb 20 2007 - jeffm@suse.com
- Added O_EXCL to reiserfs_create()'s open() call

* Wed Feb 14 2007 - jeffm@suse.com
- Added progress bar and silenced journal replay messages with
  -a mode.

* Wed Feb 14 2007 - jeffm@suse.com
- Removed fsck_sleep call that causes reiserfsck to stay in the
  background for 5s, causing problems with multipath and kpartx

* Thu May 04 2006 - jeffm@suse.com
- Added fix for off-by-one in memory allocation of oid map. Would
  cause crash on file systems with OID 2^32-2 in use.
- Added patch to use better defaults for journals on external
  devices..

* Fri Mar 03 2006 - jeffm@suse.com
- Added warning for block sizes > 4k

* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires

* Wed Dec 21 2005 - mmj@suse.de
- This package conflicts with libreiserfs-progs

* Fri Dec 09 2005 - schwab@suse.de
- Update to reiserfsprogs 3.6.19.
- Remove broken inline.
- Don't strip binaries.
------- Comment #11 From 2007-04-08 22:23:35 -------
У меня собрались reiserfsprogs-3.6.19-alt3 с почти всеми сузешными патчами:

* Sun Apr 08 2007 Michael Shigorin <mike@altlinux.org> 3.6.19-alt3
- applied openSUSE patches from reiserfs-3.6.19-50 package:
  + O_EXCL to reiserfs_create()'s open() call
  + progress bar and silenced journal replay messages with -a
  + removed fsck_sleep call that causes reiserfsck to stay in the
    background for 5s, causing problems with multipath and kpartx
  + fix for off-by-one in memory allocation of oid map.
    Would cause crash on file systems with OID 2^32-2 in use
  + better defaults for journals on external devices..
  + warning for block sizes > 4k
- added (but didn't apply) progress/spinner patch -- nobody
  asked for that, and it needed another libs reordering fix,
  and that fix would need another one to link with --as-needed

* Sun Apr 08 2007 Michael Shigorin <mike@altlinux.org> 3.6.19-alt2
- minor spec cleanup
- updated url to be easier to monitor
- added Packager:

Ну что -- заливать в сизиф с предупреждением/просьбой или в дедал?
------- Comment #12 From 2007-04-08 23:13:35 -------
С учётом переименования jfsprogs-1.1.10 в jfsutils-1.1.11 (поскольку именно так
они в оригинале и называются -- посмотрев сборку led@ в Daedalus, подумал и
решил, что логично; в других дистрах на ftp.linux.kiev.ua оно также jfsutils)
--
хоть Provides/Obsoletes выставлены, добавлять следует jfsutils.

Сборка отправлена в Sisyphus.

---

reiserfsprogs-3.6.19-alt3 доступны здесь:
http://paq.osdn.org.ua/~mike/RPMS/reiserfsprogs/

Забрасывать в сизиф 3.6.20, который никто, включая SUSE, не поставляет (и
который не IS LATEST) -- не рискнул.
------- Comment #13 From 2007-04-08 23:17:56 -------
2mike: выкладывай в Сизиф, это ускорит тестирование.
------- Comment #14 From 2007-04-08 23:47:43 -------
Уехало: jfsutils-1.1.11-alt1.src.rpm, reiserfsprogs-3.6.19-alt3.src.rpm
------- Comment #15 From 2007-04-09 14:09:12 -------
*** Bug 10184 has been marked as a duplicate of this bug. ***
------- Comment #16 From 2007-04-09 19:56:23 -------
Fixed in 0.2.2-alt1-4-gab5e170.